Bug 30190 - Green buttons turn blue for a second when clicking them
Summary: Green buttons turn blue for a second when clicking them
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-26 23:18 UTC by Katrin Fischer
Modified: 2022-03-11 11:45 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30190: Green buttons turn blue for a second when clicking them (3.59 KB, patch)
2022-03-02 14:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30190: Green buttons turn blue for a second when clicking them (3.64 KB, patch)
2022-03-02 14:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30190: Green buttons turn blue for a second when clicking them (3.70 KB, patch)
2022-03-06 12:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-02-26 23:18:55 UTC
When clicking green buttons, like the "Go" button in simple search, it turns dark blue for a second before returning to green.

In testing bug 29616 we were not sure if this was intentional, so filing a bug to check and confirm.

From the comments:

(In reply to Lucas Gass from comment #9)
> That appears to be from this rule in the OPAC CSS file:
> 
> .btn-primary:not(:disabled):not(.disabled).active,
> .btn-primary:not(:disabled):not(.disabled):active, .show >
> .btn-primary.dropdown-toggle {
>   color: #fff;
>   background-color: #0062cc;
>   border-color: #005cbf;
> }
> 
> Do we file a new bug? It seems like perhaps it was intentional to have the
> blue.

(In reply to Fridolin Somers from comment #10)
> (In reply to Lucas Gass from comment #9)
> > 
> > Do we file a new bug? It seems like perhaps it was intentional to have the
> > blue.
> Yep, please open another bug report.
> We will close invalid if it is on purpose.
Comment 1 Owen Leonard 2022-03-02 14:24:34 UTC
Created attachment 131255 [details] [review]
Bug 30190: Green buttons turn blue for a second when clicking them

This patch adds additional CSS to better cover various states of buttons
in the OPAC.

To test, apply the patch and rebuild the OPAC CSS:
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client

- In the OPAC, test various green buttons in varous states: default,
  hover, and active (the appearance when the button is clicked but
  before the mouse button is released).
- The button should be styled in various shades of green in all cases.
- Test a disabled button by performing a catalog search.
- On the results page, before any checkboxes are checked, the "Save"
  button should look correct.
Comment 2 Lucas Gass 2022-03-02 14:50:20 UTC
Created attachment 131259 [details] [review]
Bug 30190: Green buttons turn blue for a second when clicking them

This patch adds additional CSS to better cover various states of buttons
in the OPAC.

To test, apply the patch and rebuild the OPAC CSS:
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client

- In the OPAC, test various green buttons in varous states: default,
  hover, and active (the appearance when the button is clicked but
  before the mouse button is released).
- The button should be styled in various shades of green in all cases.
- Test a disabled button by performing a catalog search.
- On the results page, before any checkboxes are checked, the "Save"
  button should look correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2022-03-02 14:50:46 UTC
Thanks Owen, that looks much better.
Comment 4 Katrin Fischer 2022-03-06 12:56:09 UTC
Created attachment 131409 [details] [review]
Bug 30190: Green buttons turn blue for a second when clicking them

This patch adds additional CSS to better cover various states of buttons
in the OPAC.

To test, apply the patch and rebuild the OPAC CSS:
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client

- In the OPAC, test various green buttons in varous states: default,
  hover, and active (the appearance when the button is clicked but
  before the mouse button is released).
- The button should be styled in various shades of green in all cases.
- Test a disabled button by performing a catalog search.
- On the results page, before any checkboxes are checked, the "Save"
  button should look correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2022-03-09 09:07:23 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄